Skip to main content
GET
/
api
/
v1
/
backups
List backups
curl --request GET \
  --url https://api.scholarlysoftware.com/api/v1/backups \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "backup",
      "attributes": {
        "status": "completed",
        "created_at": "2025-11-18T12:00:00Z",
        "updated_at": "2025-11-18T12:05:00Z",
        "file_size": 1048576,
        "download_url": "https://app.scholarly.edu/rails/active_storage/blobs/...",
        "download_checksum_md5": "d41d8cd98f00b204e9800998ecf8427e",
        "progress": {
          "percentage": 45,
          "completed_tables": 23,
          "total_tables": 50,
          "message": "Processing 23 of 50 tables..."
        }
      },
      "relationships": {}
    }
  ],
  "meta": {
    "page": {
      "size": 123
    },
    "total": 123
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "last": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Query Parameters

sort
string

Sort order. Prefix with - for descending. Allowed: created_at, updated_at, status

page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

Response

backups found

data
object[]
required
meta
object